"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const healthcheck_1 = __importDefault(require("./controller/healthcheck"));
const record_1 = __importDefault(require("./controller/record"));
const shred_1 = __importDefault(require("./controller/shred"));
const cors_1 = __importDefault(require("cors"));
const app = express_1.default();
app.use(cors_1.default());
app.use('/', healthcheck_1.default);
app.use('/record', record_1.default);
app.use('/shred', shred_1.default);
exports.default = app;
