"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("./di");
const app_1 = __importDefault(require("./app"));
const tsyringe_1 = require("tsyringe");
const logger = tsyringe_1.container.resolve('FillarivahtiRecorderHttpApi.Logger');
const port = process.env.PORT ? Number(process.env.PORT) : null;
if (port) {
    app_1.default.listen(port, () => {
        logger.info(`Started Fillarivahti recorder HTTP API on port ${port}.`);
    });
}
else {
    logger.error('PORT environment variable is missing.');
}
