"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.middleware = void 0;
const basicAuth = __importStar(require("express-basic-auth"));
const tsyringe_1 = require("tsyringe");
const configuration = tsyringe_1.container.resolve('FillarivahtiRecorderHttpApi.Configuration');
const middleware = (req, res, next) => {
    const username = configuration.getBasicAuthUsername();
    const password = configuration.getBasicAuthPassword();
    if (username && password) {
        basicAuth.default({
            users: {
                [username]: password,
            },
        })(req, res, next);
    }
    else {
        // eslint-disable-next-line callback-return
        next();
    }
};
exports.middleware = middleware;
