"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const tsyringe_1 = require("tsyringe");
const FillarivahtiOrm = __importStar(require("@aapokiiso/fillarivahti-orm"));
const FillarivahtiCapacityRepository = __importStar(require("@aapokiiso/fillarivahti-capacity-repository"));
const FillarivahtiHslCapacityProvider = __importStar(require("@aapokiiso/fillarivahti-hsl-capacity-provider"));
const json_logger_1 = require("./util/json-logger");
const EnvConfiguration_1 = require("./service/EnvConfiguration");
FillarivahtiOrm.diRegisterDefaults();
FillarivahtiCapacityRepository.diRegisterDefaults();
FillarivahtiHslCapacityProvider.diRegisterDefaults();
tsyringe_1.container.register('FillarivahtiRecorderHttpApi.Configuration', { useClass: EnvConfiguration_1.EnvConfiguration });
tsyringe_1.container.register('FillarivahtiRecorderHttpApi.Logger', { useValue: json_logger_1.jsonLogger });
